Subject: Re: git-archive and tar options

From: Neal Kreitzinger <[email-masked]>
Date: Mon, 18 Jul 2011 19:12:45 -0500

On 7/18/2011 3:50 PM, René Scharfe wrote:
> Am 18.07.2011 20:13, schrieb Neal Kreitzinger:
>> HEAD:$subdir worked on my bare repo.  I ran it for each transformant
>> pathspec and then combined the archives with tar --catenate:
>>
>> # git archive --format=tar --prefix=myWeb/myRoot/myAPP/Templates/
>> HEAD:WebPortal/Templates/>myAPP.myTag.tar
>> # git archive --format=tar --prefix=opt/mySTUFF/v01/SCRIPTS/
>> HEAD:SCRIPTS/>SCRIPTS.tar
>> # tar --file=myAPP.myTag.tar -A SCRIPTS.tar
>>
>> However, the permissions also need to change to 777 and tar --mode would
>> not effect this in combination with --catenation or -x.  Is there a way
>> I can change the permissions without having to untar->chmod->retar, and
>> without having to use a non-bare repo as an intermediary?
>
> You can use the configuration setting tar.umask to affect the
> permissions of the archive entries.  Set it to 0 to pass the permission
> bits from the repo unchanged.
>
The permissions in my repo are 775 and 664 and I want to change them to 777.

-neal